Mein einfacher benutzerdefinierter Shortcode funktioniert nicht mehr (möglicherweise aufgrund eines Upgrades auf WordPress 4.4?)

Ich habe eine einfache function in functions.php, die einen benutzerdefinierten Shortcode erstellt:

function my_line_break() { return "
"; } add_shortcode( 'new line', 'my_line_break' );

Nun, ich weiß nicht, ob dies nach dem Upgrade auf 4.4 passiert ist, aber es funktioniert nicht mehr und Seiten rendern nur [new line] im Klartext.

Jeder kann dabei helfen? Ich schaute auf https://make.wordpress.org/core/2015/07/23/changes-to-the-shortcode-api/, aber ich bin mir nicht sicher, ob es sich bezieht?

PS Ich weiß, das wäre nicht der richtige Weg, um Zeilenumbrüche zu behandeln, aber ich habe es getan, um das Leben für meine Kunden einfacher zu machen (also eine kleine Nebenfrage, wenn es eine gültige und einfach zu verwendende Alternative gibt, könnte) Bitte lass es mich wissen, damit ich dieses Problem auch komplett umgehen kann?).

Solutions Collecting From Web of "Mein einfacher benutzerdefinierter Shortcode funktioniert nicht mehr (möglicherweise aufgrund eines Upgrades auf WordPress 4.4?)"

Konvertieren des Kommentars in eine Antwort,

Bitte benennen Sie Ihren Shortcode so um, dass er keine Leerzeichen enthält ( new_line ):

 function my_line_break() { return "
"; } add_shortcode( 'new_line', 'my_line_break' );

Ihr Kurzwahlname ist falsch. Shortcode-API – WordPress-Codex

So können Sie schreiben wie:

 function my_line_break() { return "
"; } add_shortcode( 'newline', 'my_line_break' );

Dann :

 [newline]